//
//  machine_view.h - machine view class header file
//
//  $Id: machine_view.h 49 2014-02-07 01:52:31Z brian $ 
//
//  Copyright (c) 1999-2014 by Precision Micro Control Corp. All rights reserved.
//
#ifndef MACHINE_VIEW_H
#define MACHINE_VIEW_H

class CMachineView : public CView
{
	DECLARE_DYNCREATE(CMachineView)
protected:
	/// <summary>Constructor (used by dynamic creation).</summary>
	CMachineView() {}
	/// <summary>Destructor.</summary>
	virtual ~CMachineView() {}

	/// <summary>View drawing handler.</summary>
	/// <param name="pDC">Device context.</param>
	virtual	void				OnDraw(CDC* pDC) {}

protected:
	DECLARE_MESSAGE_MAP()
};

#endif			// MACHINE_VIEW_H

